CATDIC(1)

NAME
catdic - Download a dictionary

SYNOPSIS
catdic [{-cs|-cannaserver} canna-server] [-i|-u user-name] remote-dic [-l local-file]

DESCRIPTION

catdic downloads a dictionary file to the current directory. The file downloaded is a dictionary file the dictionary name of which is remote-dic. It is in the user dictionary directory of the machine on which cannaserver(1M) is in operation. (Hereafter, this machine is called the remote host.)

OPTIONS

-cs canna-server (or -cannaserver canna-server)
    Specifies the name of the server machine that contains a dictionary to be downloaded.

-i  Downloads the system dictionary.

-u user-name
    Specifies the user name. Another user's dictionary can be referenced by this user name.

-l local-file
    local-file is the dictionary file name. If it is omitted, the standard output will be assumed.

EXAMPLES

  % catdic test

Outputs the contents of dictionary file ``test'' on the remote host, to the standard output.

  % catdic test -l test2.t

Downloads dictionary file ``test'' on the remote host to current directory file ``test2.t''.

SEE ALSO

cannaserver(1M), lsdic(1), mkdic(1)